PATCH
/v1/space/documents/{document_id}/comments/{comment_id}
curl -X PATCH "https://api.orchestor.io/v1/space/documents/%3Cdocument_id%3E/comments/%3Ccomment_id%3E" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123" \ -H "Content-Type: application/json" \ -d '{ "body": "string", "resolved": true}'{ "data": { "actor": { "id": "<string>", "name": "<string>", "type": "<string>" }, "answered": true, "body": "<string>", "created_at": "2026-01-01T00:00:00Z", "document_id": "<string>", "edits": [ 0 ], "id": "<string>", "kind": "comment", "parent": { "anchor": { "block_id": "<string>", "detached": true, "element": null, "end": "<string>", "start": "<string>", "text": "<string>" }, "id": "<string>", "object": "node" }, "resolved": true, "seq": 0, "to": [ "agent" ], "updated_at": "2026-01-01T00:00:00Z", "workspace_id": "<string>" }}Get your Orchestor API key
Create an API key in your workspace settings.
Authorizations
Authentication details
cookie
Headers
Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.
Example
"wks_abc123"Response
application/json